Hi Dalton,

Does python tell you which line it doesn't like?

>From the TypeError, it seems like it would be this line:

steptopo = TopoDS_Face(BRepBuilderAPI_MakeFace(stepnurbs.GetHandle(), 1e-
6).Shape())

If so, try breaking the line into parts:

brep = BRepBuilderAPI_MakeFace(stepnurbs.GetHandle(), 1e-6).Shape()
steptopo = TopoDS_Face(brep)

I would imagine the error would then be on the second of these lines.  If so, 
try displaying brep with the simpleGUI to make sure it looks like a face (a 
surface bounded by a wire).  If the display doesn't look right, there's 
something wrong with your surface.

Let me know what you find, and we'll go from there.

- Charles


_______________________________________________
Pythonocc-users mailing list
Pythonocc-users@gna.org
https://mail.gna.org/listinfo/pythonocc-users

Reply via email to